datablock TSShapeConstructor(SpiderDts)
{
	baseShape  = "./Spider.dts";
	sequence0  = "./mc_root.dsq root";

	sequence1  = "./mc_walk.dsq run";
	sequence2  = "./mc_walk.dsq walk";
	sequence3  = "./mc_walk.dsq back";
	sequence4  = "./mc_walk.dsq side";

	sequence5  = "./mc_root.dsq crouch";
	sequence6  = "./mc_walk.dsq crouchrun";
	sequence7  = "./mc_walk.dsq crouchback";
	sequence8  = "./mc_walk.dsq crouchside";

	sequence9  = "./mc_look.dsq look";
	sequence10 = "./mc_headside.dsq headside";
	sequence11 = "./mc_root.dsq headup";

	sequence23 = "./mc_death1.dsq death1";
};

datablock PlayerData(PlayerMCSpider : PlayerStandardArmor)
{
	shapeFile = "./Spider.dts";
	boundingBox = "10 10 4";
	crouchboundingBox = "10 10 4";
	canJet = 0;
	canRide = 0;
	uiName = "MC Spider";
	maxDamage = 500;

   runForce = "8000";
   runEnergyDrain = "0";
   minRunEnergy = "0";
   maxForwardSpeed = "11";
   maxBackwardSpeed = "11";
   maxSideSpeed = "6";
   jumpForce = "1080";
};

AddDamageType("MCSpider", '%1 was slain by a Spider!', '%1 was slain by Spider %2!', 1, 1);

package MCSpiderAttack
{
	function Armor::onCollision(%this, %obj, %col, %fade, %pos, %normal)
	{
		%ret = Parent::onCollision(%this, %obj, %col, %fade, %pos, %normal);
		if(!isObject(%obj) || !isObject(%col))
			return %ret;
		if(%col.getDatablock().getID() == PlayerMCSpider.getID() && %obj.getDatablock().getID() != PlayerMCSpider.getID())
		{
			if(minigameCanDamage(%col, %obj) && %col.getState() !$= "DEAD")
			{
				if(isObject(%cl = %obj.client) && %cl.name !$= "")
					%obj.damage(%obj, %col.position, 0, $DamageType::MCSpider);  //%proj, %pos, %damage, %dmgType
				else
					%obj.damage(0, %col.position, 0, $DamageType::MCSpider);  //%proj, %pos, %damage, %dmgType
				%obj.applyImpulse(%col.position, vectorScale(vectorNormalize(vectorSub(vectorAdd(%obj.position, "0 0 1"), %col.position)), 0));
			}
		}
		return %ret;
	}
};
activatePackage("MCSpiderAttack");